%global eclipse_base     %{_libdir}/eclipse
%global eclipse_dropin   %{_datadir}/eclipse/dropins

# Note: Use the tag in get-mdt-uml2.sh as the context qualifier because it's
#       later than the tags of the individual plugins.
%global contextQualifier v201006071241

Name:      eclipse-mdt-uml2
Version:   3.1.0
Release:   2%{?dist}
Summary:   Implementation of the UML2 OMG metamodel for Eclipse
Group:     System Environment/Libraries
License:   EPL
URL:       http://www.eclipse.org/modeling/mdt/uml2

# source tarball and the script used to generate it from upstream's source control
# script usage:
# $ sh get-mdt-uml2.sh
Source0:   mdt-uml2-%{version}.tar.gz
Source1:   get-mdt-uml2.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    jpackage-utils
BuildRequires:    eclipse-pde >= 1:3.6.0
BuildRequires:    eclipse-emf >= 2.6.0
Requires:         java
Requires:         jpackage-utils
Requires:         eclipse-platform >= 1:3.6.0
Requires:         eclipse-emf >= 2.6.0

%description
UML2 is an EMF-based implementation of the Unified Modeling Language (UML) 2.x
OMG metamodel for the Eclipse platform. The objectives of the UML2 component
are to provide a usable implementation of the UML metamodel to support the
development of modeling tools, a common XMI schema to facilitate interchange
of semantic models, test cases as a means of validating the specification and
validation rules as a means of defining and enforcing levels of compliance.

#TODO - sdk/examples subpackages?

%prep
%setup -q -n mdt-uml2-%{version}

# this is provided by eclipse-emf
rm ./org.eclipse.uml2.uml.ecore.importer/emf.ant.tasks.jar

# make sure upstream hasn't sneaked in any jars we don't know about
JARS=""
for j in `find -name "*.jar"`; do
  if [ ! -L $j ]; then
    JARS="$JARS $j"
  fi
done
if [ ! -z "$JARS" ]; then
   echo "These jars should be deleted and symlinked to system jars: $JARS"
   exit 1
fi

# remove spurious exec permissions from docs
find -wholename "*/rootfiles/*" | xargs chmod -x

%build
# put eclipse-emf ant tasks where the build expects them to be
mkdir -p org.eclipse.emf.ant
unzip %{eclipse_dropin}/emf/eclipse/plugins/org.eclipse.emf.ant* \
  ant_tasks/emf.ant.tasks.jar -d org.eclipse.emf.ant

# build mdt-uml2 features
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.uml2 \
  -d "emf" -a "-DforceContextQualifier=%{contextQualifier}"

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{eclipse_dropin}
unzip -q -n -d %{buildroot}%{eclipse_dropin}/mdt-uml2 build/rpmBuild/org.eclipse.uml2.zip

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{eclipse_dropin}/mdt-uml2
%doc org.eclipse.uml2-feature/rootfiles/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 13 2010 Mat Booth <fedora@matbooth.co.uk> 3.1.0-1
- Update to Helios release.
- Fixes RHBZ #631324.

* Sun Nov 22 2009 Mat Booth <fedora@matbooth.co.uk> 3.0.1-2
- Don't pretty-print the package description.

* Tue Nov 8 2009 Mat Booth <fedora@matbooth.co.uk> 3.0.1-1
- New UML2 spec file based on eclipse-gef.
